from casetransform import transform

from .meta import content_proper, initial_data, with_unique_fn


def legacy_data(text: str, idx: str) -> dict:
    """Use the supplied parameters to combine data dictionaries.

    Args:
        text (str): The unprocessed string representing the ponencia
        idx (str): The url identifier

    Returns:
        dict: A dictionary with keys acceptable to scrapy processing pipeline..
    """
    case_details = initial_data(text, idx)
    ponencia_details = content_proper(case_details["ponencia"])
    data_complete = case_details | ponencia_details
    data_complete["ponencia"] = with_unique_fn(data_complete["ponencia"])
    data_complete["ponencia"] = transform(data_complete["ponencia"])
    return data_complete
